Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039171
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-08-22 14:592018-09-12 21:33
ReportermalsasuaView Statuspublic 
Assigned ToSandrahuguet 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision6bac4a0d2846
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarkmm82
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039171: Reset Accounting: performance problem executing unpost functionality with big database

DescriptionWith a big database:
. # m_inventory > 60K
. # m_inventoryline > 2M
. # factact > 30M

it takes more than 5 minutes to unpost the table m_inventory, only for one day.

For several days, timeout happens
Steps To ReproduceReset Accounting window
. select M_Inventory table
. date range one week
. delete existing accounting entries selected

Operation Timed out error is returned
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00402083.0PR18Q3.3 closedAtulOpenbravo Unpost process can be very slow 

-  Notes
(0106652)
Sandrahuguet (developer)
2018-09-10 11:08

With the proposed fix:
 *Unpost the table m_inventory for the last two months takes 50s
(0106681)
Sandrahuguet (developer)
2018-09-11 11:16

Reset Accounting window
. select M_Inventory table
. date range two months
. delete existing accounting entries selected

Takes 50s in client enviroment
(0106714)
hgbot (developer)
2018-09-12 16:53

Repository: erp/devel/pi
Changeset: 6bac4a0d28462693b61fb6ba48955bfa61e53861
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Sep 04 15:23:34 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6bac4a0d28462693b61fb6ba48955bfa61e53861 [^]

Fixes issue 39171 improve reset accounting process performance

Improve performance of getTables and getDocbasetypes queries

---
M src-db/database/model/tables/FACT_ACCT.xml
M src/org/openbravo/financial/ResetAccounting.java
---
(0106715)
Sandrahuguet (developer)
2018-09-12 16:56

Repository: erp/devel/pi
Changeset: 6bac4a0d28462693b61fb6ba48955bfa61e53861
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Tue Sep 04 15:23:34 2018 +0200
URL: https://code.openbravo.com/erp/devel/pi/rev/7671c9b22d7e [^]

Related to 39171: Use ad_periodcontrolallowed_org_id column instead of calling
ad_org_getperiodcontrolallow() function to improve performance.

The ad_org_getperiodcontrolallow column of each organization stores it period
control allowed organization. Using it is more efficient than invoke the ad_org_getperiodcontrolallow()
function as this one is recursive and implies extra queries that are unnecesaries
as the information is in the requested organizations.
---
M src/org/openbravo/financial/ResetAccounting.java
---
(0106718)
markmm82 (developer)
2018-09-12 17:09

Code review + Testing OK
(0106737)
hudsonbot (developer)
2018-09-12 21:33

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad75d3cb1744 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-08-22 14:59 malsasua New Issue
2018-08-22 14:59 malsasua Assigned To => Triage Finance
2018-08-22 14:59 malsasua Modules => Core
2018-08-22 14:59 malsasua Triggers an Emergency Pack => No
2018-08-22 15:37 malsasua Description Updated View Revisions
2018-08-22 15:38 malsasua Tag Attached: Performance
2018-08-23 08:48 aferraz Assigned To Triage Finance => AtulOpenbravo
2018-08-24 11:30 ngarcia Summary Performance problem executing unpost functionality with big database => Reset Accounting: performance problem executing unpost functionality with big database
2018-08-24 11:30 ngarcia Steps to Reproduce Updated View Revisions
2018-08-24 11:31 ngarcia Issue Monitored: ngarcia
2018-08-27 17:19 rafaroda Issue Monitored: rafaroda
2018-08-28 10:30 AtulOpenbravo Status new => scheduled
2018-09-10 11:08 Sandrahuguet Note Added: 0106652
2018-09-10 12:11 Sandrahuguet Assigned To AtulOpenbravo => Sandrahuguet
2018-09-11 11:16 Sandrahuguet Note Added: 0106681
2018-09-11 11:16 Sandrahuguet Review Assigned To => markmm82
2018-09-12 16:53 hgbot Checkin
2018-09-12 16:53 hgbot Note Added: 0106714
2018-09-12 16:53 hgbot Status scheduled => resolved
2018-09-12 16:53 hgbot Resolution open => fixed
2018-09-12 16:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6bac4a0d28462693b61fb6ba48955bfa61e53861 [^]
2018-09-12 16:56 Sandrahuguet Note Added: 0106715
2018-09-12 17:09 markmm82 Note Added: 0106718
2018-09-12 17:10 markmm82 Status resolved => closed
2018-09-12 21:33 hudsonbot Checkin
2018-09-12 21:33 hudsonbot Note Added: 0106737
2019-02-14 16:10 joniturralde93 Relationship added related to 0040208


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker